Bug 430522 - (CVE-2006-0898) CVE-2006-0898 perl-Crypt-CBC weaker encryption with some ciphers
CVE-2006-0898 perl-Crypt-CBC weaker encryption with some ciphers
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On: 430732 430733 430734 445327 449337
Blocks: 444136
  Show dependency treegraph
 
Reported: 2008-01-28 11:20 EST by Mark J. Cox (Product Security)
Modified: 2016-06-10 16:29 EDT (History)
0 users

See Also:
Fixed In Version: 2.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 16:29:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2008-01-28 11:20:55 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2006-0898 to the following vulnerability:

Crypt::CBC Perl module 2.16 and earlier, when running in RandomIV mode, uses an initialization vector (IV) of 8 bytes, which results in weaker encryption when used with a cipher that requires a larger block size than 8 bytes, such as Rijndael.

References:

http://www.securityfocus.com/archive/1/archive/1/425966/100/0/threaded
http://www.debian.org/security/2006/dsa-996
http://www.gentoo.org/security/en/glsa/glsa-200603-15.xml
http://www.novell.com/linux/security/advisories/2006_38_security.html
http://www.securityfocus.com/bid/16802
http://secunia.com/advisories/18755
http://secunia.com/advisories/19187
http://secunia.com/advisories/19303
http://secunia.com/advisories/20899
http://securityreason.com/securityalert/488
http://xforce.iss.net/xforce/xfdb/24954

Note You need to log in before you can comment on or make changes to this bug.